Bug 21271 - Node.childNodes and Element.attributes need to return the same object each time
Summary: Node.childNodes and Element.attributes need to return the same object each time
Status: RESOLVED FIXED
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: DOM (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Anne
QA Contact: public-webapps-bugzilla
URL:
Whiteboard:
Keywords:
Depends on: 21270
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 17:06 UTC by Anne
Modified: 2013-08-16 11:27 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anne 2013-03-13 17:06:24 UTC
We should make the specification clear about that, once IDL makes it clear how we should be clear about that.
Comment 1 Elliott Sprehn 2013-03-18 16:54:33 UTC
Do you mean childNodes?
Comment 2 Anne 2013-04-16 14:00:33 UTC
https://github.com/whatwg/dom/commit/92b60a5b88cd580177c47b2d8a2c7ef9f7e8923a

Leaving open to create a better fix once IDL is fixed.